Get a specific report
curl --request GET \
--url https://api.northreports.com/v1/reports/{reportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.northreports.com/v1/reports/{reportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.northreports.com/v1/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"price": 123,
"beds": 123,
"baths": 123,
"sqft": 123,
"year_built": 123,
"property_type": "<string>",
"status": "<string>",
"is_published": true,
"is_draft": true,
"published_at": "2023-11-07T05:31:56Z",
"views_count": 123,
"saves_count": 123,
"showings_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"lot_size": 123,
"zillow_url": "<string>",
"zpid": "<string>",
"mls_id": "<string>",
"listing_agent": "<string>",
"created_by": "<string>",
"executive_summary": "<string>",
"show_comps_on_report": true,
"show_neighborhood_on_report": true,
"show_social_on_report": true,
"show_showings_on_report": true,
"show_agent_insights_on_report": true,
"comparable_properties": [
{}
],
"showing_events": [
{}
],
"social_media_posts": [
{}
],
"agent_insights": [
{}
]
}
}{
"error": {
"message": "Invalid API key",
"status": 401
}
}{
"error": {
"message": "Permission denied: reports:create",
"status": 403
}
}{
"error": {
"message": "Report not found",
"status": 404
}
}{
"error": {
"message": "Rate limit exceeded. Please try again later.",
"status": 429
}
}Reports
Get Report
Retrieve a single North Report by ID or by property address.
GET
/
v1
/
reports
/
{reportId}
Get a specific report
Search by Address — You can look up a report without knowing the ID by passing Address matching is partial and case-insensitive and handles common abbreviations automatically (e.g.
?address= as a query parameter. The address lookup takes priority over the path ID, so you can use any placeholder (e.g. search) in the URL.GET /v1/reports/search?address=123 Main St
St = Street, Ave = Avenue, APT = Unit).Authorizations
API key authentication. Include your API key in the Authorization header:
Authorization: Bearer north_sk_live_xxxxxxxxxxxx
Path Parameters
The report UUID. If searching by address, you can use any placeholder value (e.g., "search" or "by-address"). The address query parameter will override this value.
Query Parameters
Search for a report by address instead of using reportId. If provided, this will override the reportId path parameter. Supports partial matching (case-insensitive). Example: "123 Main St" or "Main Street"
Response
Successfully retrieved report
Show child attributes
Show child attributes
⌘I